Package org.codehaus.janino

# Class Java.AbstractTypeBodyDeclaration

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AbstractTypeBodyDeclaration

All Implemented Interfaces:
  `Java.Locatable`, `Java.Scope`, `Java.TypeBodyDeclaration`

Direct Known Subclasses:
  `Java.FunctionDeclarator`, `Java.Initializer`

Enclosing class:
  `Java`

public abstract static class Java.AbstractTypeBodyDeclaration extends Java.Located implements Java.TypeBodyDeclaration
Abstract implementation of `Java.TypeBodyDeclaration`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Modifier[]`
`modifiers`
The `Java.Modifier`s of this declaration.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractTypeBodyDeclaration(Location location, Java.Modifier[] modifiers)`

## Method Summary

Modifier and Type
Method
Description
`Java.Annotation[]`
`getAnnotations()`
`Java.TypeDeclaration`
`getDeclaringType()`
`Java.Scope`
`getEnclosingScope()`
`Java.Modifier[]`
`getModifiers()`
`void`
`setDeclaringType(Java.TypeDeclaration declaringType)`
Sets the type declaration that this declaration belongs to.
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
Forward-implements `Java.BlockStatement.setEnclosingScope(Java.Scope)`.

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.TypeBodyDeclaration

`accept`

## Field Details

### modifiers

public final Java.Modifier[] modifiers
The `Java.Modifier`s of this declaration.

## Constructor Details

### AbstractTypeBodyDeclaration

protected AbstractTypeBodyDeclaration(Location location, Java.Modifier[] modifiers)

## Method Details

### setDeclaringType

public void setDeclaringType(Java.TypeDeclaration declaringType)
Description copied from interface: `Java.TypeBodyDeclaration`
Sets the type declaration that this declaration belongs to.

Specified by:
  `setDeclaringType` in interface `Java.TypeBodyDeclaration`

### getDeclaringType

public Java.TypeDeclaration getDeclaringType()

Specified by:
  `getDeclaringType` in interface `Java.TypeBodyDeclaration`
Returns:
  The type declaration that this declaration belongs to.

### getModifiers

public Java.Modifier[] getModifiers()

Specified by:
  `getModifiers` in interface `Java.TypeBodyDeclaration`
Returns:
  The `Java.Modifier`s of this declaration

### getAnnotations

public Java.Annotation[] getAnnotations()

Returns:
  The annotations of this function

### setEnclosingScope

public void setEnclosingScope(Java.Scope enclosingScope)
Forward-implements `Java.BlockStatement.setEnclosingScope(Java.Scope)`.

### getEnclosingScope

public Java.Scope getEnclosingScope()

Specified by:
  `getEnclosingScope` in interface `Java.Scope`
Returns:
  The scope that encloses this scope, or `null`